#include "config.h"
/*
 Copyright (c) 1986, 1990 by The Trustees of Columbia University in
 the City of New York.  Permission is granted to any individual or
 institution to use, copy, or redistribute this software so long as it
 is not sold for profit, provided this copyright notice is retained.

 Author: Howie Kaye
*/

#include "args.h"
#include <stdio.h>

#if HAVE_STDC
#include <string.h>
#include <stdlib.h>
#include <time.h>
#else
#if defined(__hpux) || defined(sgi) || defined(ultrix) || defined(sun)
#define time_t long	/* no time_t in pre-Standard C environment */
#endif
extern time_t time ARGS((time_t *));
extern char *ctime ARGS((time_t *));
#endif /* HAVE_STDC */

int main ARGS((int argc, char **argv));

#define MAJSTRING "#define MAJORVERSION"
#define MINSTRING "#define MINORVERSION"
#define DATSTRING "#define VERSIONDATE"

int
#if HAVE_STDC
main(int argc, char **argv)
#else /* K&R style */
main(argc, argv)
int argc;
char **argv;
#endif /* HAVE_STDC */
{
  int maj_len, min_len, dat_len;
  char line[100];

  maj_len = strlen(MAJSTRING);
  min_len = strlen(MINSTRING);
  dat_len = strlen(DATSTRING);

  while(fgets(line, 100, stdin) != NULL) {
    if (strncmp(line,MINSTRING,maj_len) == 0) {
      int newversion = atoi(&line[min_len]) + 1;
      fprintf(stdout, "#define MINORVERSION %d\n",newversion);
    }
    else if (strncmp(line,DATSTRING,dat_len) == 0) {
      time_t t = time(0);
      char *cp = ctime(&t);
      cp[strlen(cp)-1] = '\0';

      fprintf(stdout, "#define VERSIONDATE \"%s\"\n", cp);
    }
    else
      fprintf(stdout,"%s",line);
  }
  return (0);
}
